import * as decode from 'jwt-decode';
const get = require('lodash/get');

export const isAuthorized = (req: Request, groups?: string[]): void => {
  const token = get(req, 'headers.authorization', '');
  if (token) {
    const userDetails = decode(token) as any;

    if (groups) {
      const res = groups.filter(n => userDetails['cognito:groups'].includes(n));
      if (!res.length) {
        throw new Error('Nemáte dostatečná oprávnění pro provedení této akce.');
      }
    }

    return;
  }

  throw new Error('Nepřihlášený uživatel.');
};
