import { ArticleStatuses, IArticle } from '../../shared/types/article';
import { articleModel } from '../model/article';

export default async (
  id: string,
  status: ArticleStatuses,
): Promise<IArticle> => {
  const article = await articleModel.findById(id);
  if (article.status === ArticleStatuses.published) {
    throw new Error('Zveřejněnému článku již nelze měnit stav');
  }
  return articleModel.findByIdAndUpdate(id, { status }, { new: true });
};
