import { IArticle } from '../../shared/types/article';
import { articleModel } from '../model/article';

export default async ({
  conditions,
  limit,
  start,
}: {
  conditions: any;
  limit?: number;
  start?: number;
}): Promise<IArticle[]> => {
  const articles = articleModel.find(conditions);

  if (start) {
    articles.skip(start);
  }

  if (limit) {
    articles.limit(limit);
  }

  return articles.sort({ createdDateTime: -1 });
};
