import { IArticle } from '../../shared/types/article';
import { articleModel } from '../model/article';

export default async ({
  searchText,
  conditions,
  limit,
  start,
}: {
  searchText: string;
  conditions?: object;
  limit?: number;
  start?: number;
}): Promise<IArticle[]> => {
  const articles = articleModel
    .find(conditions || {})
    .or([
      { title: new RegExp(searchText, 'i') },
      { text: new RegExp(searchText, 'i') },
    ]);

  if (start) {
    articles.skip(start);
  }

  if (limit) {
    articles.limit(limit);
  }

  return articles.sort({ createdDateTime: -1 });
};
