import { GraphQLObjectType } from 'graphql';
import ChangeArticleStatus from './articles/mutations/ChangeArticleStatus';
import CreateArticle from './articles/mutations/CreateArticle';
import DeleteArticle from './articles/mutations/DeleteArticle';
import EditArticle from './articles/mutations/EditArticle';
import CreateCategory from './categories/mutations/CreateCategory';
import DeleteCategory from './categories/mutations/DeleteCategory';
import SortCategories from './categories/mutations/SortCategories';
import CreateComment from './comments/mutations/CreateComment';
import CreateScore from './scores/mutations/CreateScore';
import DeleteScore from './scores/mutations/DeleteScore';
import CreateUser from './users/mutations/CreateUser';
import EditUser from './users/mutations/EditUser';
import RemoveUser from './users/mutations/RemoveUser';

export default new GraphQLObjectType({
  name: 'RootMutation',
  description: 'Root Mutation',
  fields: {
    createArticle: CreateArticle,
    editArticle: EditArticle,
    deleteArticle: DeleteArticle,
    sortCategories: SortCategories,
    deleteCategory: DeleteCategory,
    createCategory: CreateCategory,
    createComment: CreateComment,
    changeArticleStatus: ChangeArticleStatus,
    createUser: CreateUser,
    editUser: EditUser,
    removeUser: RemoveUser,
    createScore: CreateScore,
    deleteScore: DeleteScore,
  },
});
