import { GraphQLObjectType } from 'graphql';
import MostVisited from './analytics/queries/MostVisited';
import Article from './articles/queries/Article';
import ArticleCount from './articles/queries/ArticleCount';
import Articles from './articles/queries/Articles';
import HomepageArticleCount from './articles/queries/HomepageArticleCount';
import SearchArticleCount from './articles/queries/SearchArticleCount';
import SearchArticles from './articles/queries/SearchArticles';
import UserArticleCount from './articles/queries/UserArticleCount';
import UserArticles from './articles/queries/UserArticles';
import Categories from './categories/queries/Categories';
import Category from './categories/queries/Category';
import Comments from './comments/queries/Comments';
import Score from './scores/queries/Score';
import User from './users/queries/User';
import Users from './users/queries/Users';

export default new GraphQLObjectType({
  name: 'RootQuery',
  description: 'Root Query',
  fields: {
    articles: Articles,
    article: Article,
    categories: Categories,
    category: Category,
    comments: Comments,
    searchArticles: SearchArticles,
    mostVisited: MostVisited,
    searchArticleCount: SearchArticleCount,
    users: Users,
    user: User,
    homepageArticleCount: HomepageArticleCount,
    score: Score,
    userArticles: UserArticles,
    articleCount: ArticleCount,
    userArticleCount: UserArticleCount,
  },
});
