import * as EasyGraphQLTester from 'easygraphql-tester';

const fs = require('fs');
const path = require('path');

const schema = fs.readFileSync(path.join(__dirname, 'schema.graphql'), 'utf8');

describe('Categories Module', () => {
  let tester: any;

  beforeEach(async () => {
    tester = new EasyGraphQLTester(schema);
  });

  describe('Category Query', () => {
    it('Invalid query', () => {
      const invalidQuery = `
        {
          category(slug: "film") {
            title
            someInvalidField
          }
        }
      `;
      tester.test(false, invalidQuery);
    });

    it('Valid query', () => {
      const validQuery = `
        {
          category(slug: "film") {
            title
          }
        }
      `;
      tester.test(true, validQuery);
    });
  });

  describe('Categories Query', () => {
    it('Invalid query', () => {
      const invalidQuery = `
        {
          categories {
            title
            someInvalidField
          }
        }
      `;
      tester.test(false, invalidQuery);
    });

    it('Valid query', () => {
      const validQuery = `
        {
          categories {
            title
          }
        }
      `;
      tester.test(true, validQuery);
    });
  });
});
