import * as EasyGraphQLTester from 'easygraphql-tester';

const fs = require('fs');
const path = require('path');

const schema = fs.readFileSync(path.join(__dirname, 'schema.graphql'), 'utf8');

describe('Score Module', () => {
  let tester: any;

  beforeEach(async () => {
    tester = new EasyGraphQLTester(schema);
  });

  describe('Score Query', () => {
    it('Invalid query', () => {
      const invalidQuery = `
        {
          score {
            value
          }
        }
      `;
      tester.test(false, invalidQuery);
    });

    it('Valid query', () => {
      const validQuery = `
        {
          score(itemId: "1") {
            value
          }
        }
      `;
      tester.test(true, validQuery);
    });
  });
});
