import * as EasyGraphQLTester from 'easygraphql-tester';

const fs = require('fs');
const path = require('path');

const schema = fs.readFileSync(path.join(__dirname, 'schema.graphql'), 'utf8');

describe('User Module', () => {
  let tester: any;

  beforeEach(async () => {
    tester = new EasyGraphQLTester(schema);
  });

  describe('User Query', () => {
    it('Invalid query', () => {
      const invalidQuery = `
        {
          user {
            id
          }
        }
      `;
      tester.test(false, invalidQuery);
    });

    it('Invalid query', () => {
      const query = `
        {
          user (username: "jakub") {
            value
          }
        }
      `;
      tester.test(false, query);
    });

    it('Valid query', () => {
      const validQuery = `
        {
          user (username: "jakub") {
            id
          }
        }
      `;
      tester.test(true, validQuery);
    });
  });
});
