import { GraphQLList } from 'graphql';
import { getMostVisited } from '../../../api/analytics';
import { articleModel } from '../../../model/article';
import { GraphQLMostVisited } from '../index';

interface IItem {
  dimensions: string[];
  metrics: Array<{
    values: string[];
  }>;
}

const getArticleByUrl = async (url: string) => {
  const splitted = url.split('/');
  if (splitted.length === 3) {
    return articleModel.findOne({ slug: splitted[2] });
  }
  return;
};

export default {
  type: new GraphQLList(GraphQLMostVisited),
  resolve: async () => {
    // TODO: try catch
    const response = await getMostVisited();
    const mostVisited = await Promise.all(
      response.data.reports[0].data.rows.map(async (i: IItem) => {
        const article = await getArticleByUrl(i.dimensions[0]);
        if (article) {
          return {
            article,
            value: i.metrics[0].values[0],
          };
        }
        return;
      }),
    );

    return mostVisited.filter((i: any) => i);
  },
};
