import { IArticle, IArticleCreate } from '../../../../shared/types/article';
import { createArticlePermissions } from '../../../../shared/types/permissions';
import { isAuthorized } from '../../../api/cognito';
import createArticle from '../../../articles/createArticle';
import getCurrentUserId from '../../users/lib/getCurrentUserId';
import GraphQLCreateArticle from '../inputs/CreateArticle';
import GraphQLArticle from '../outputs/Article';

export default {
  type: GraphQLArticle,
  args: {
    data: {
      type: GraphQLCreateArticle,
    },
  },
  resolve: async (
    parent: any,
    { data }: { data: IArticleCreate },
    request: Request,
  ): Promise<IArticle> => {
    isAuthorized(request, createArticlePermissions);
    const userId = await getCurrentUserId(request);
    return createArticle({ ...data, userId });
  },
};
