import { GraphQLNonNull, GraphQLString } from 'graphql';
import { IArticle } from '../../../../shared/types/article';
import { deleteArticlePermissions } from '../../../../shared/types/permissions';
import { isAuthorized } from '../../../api/cognito';
import deleteArticle from '../../../articles/deleteArticle';
import GraphqlArticle from '../outputs/Article';

interface IArgs {
  _id: string;
}

export default {
  type: GraphqlArticle,
  args: {
    _id: {
      type: new GraphQLNonNull(GraphQLString),
    },
  },
  resolve: async (
    parent: any,
    { _id }: IArgs,
    request: Request,
  ): Promise<IArticle> => {
    isAuthorized(request, deleteArticlePermissions);
    return deleteArticle(_id);
  },
};
