import { IArticle, IArticleEdit } from '../../../../shared/types/article';
import { editArticlePermissions } from '../../../../shared/types/permissions';
import { isAuthorized } from '../../../api/cognito';
import editArticle from '../../../articles/editArticle';
import GraphQLEditArticle from '../inputs/EditArticle';
import GraphQLArticle from '../outputs/Article';

export default {
  type: GraphQLArticle,
  args: {
    data: {
      type: GraphQLEditArticle,
    },
  },
  resolve: async (
    _: any,
    { data }: { data: IArticleEdit },
    request: Request,
  ): Promise<IArticle> => {
    isAuthorized(request, editArticlePermissions);
    return editArticle(data);
  },
};
