import { GraphQLNonNull, GraphQLString } from 'graphql';
import { ArticleStatuses, IArticle } from '../../../../shared/types/article';
import getArticle from '../../../articles/getArticle';
import GraphQLArticle from '../outputs/Article';

export default {
  type: GraphQLArticle,
  args: {
    slug: {
      type: new GraphQLNonNull(GraphQLString),
    },
  },
  resolve: async (parent: any, { slug }: any): Promise<IArticle> => {
    const article = await getArticle({
      slug,
      status: ArticleStatuses.published,
    });
    if (!article) {
      throw new Error('Článek nenalezen');
    }
    return article;
  },
};
