import { GraphQLInt, GraphQLList, GraphQLString } from 'graphql';
import { IArticle } from '../../../../shared/types/article';
import getArticles from '../../../articles/getArticles';
import GraphQLArticle from '../outputs/Article';

export default {
  type: new GraphQLList(GraphQLArticle),
  args: {
    categoryId: {
      type: GraphQLString,
    },
    type: {
      type: GraphQLInt,
    },
    status: {
      type: GraphQLInt,
    },
    limit: {
      type: GraphQLInt,
    },
    start: {
      type: GraphQLInt,
    },
  },
  resolve: async (
    parent: any,
    { categoryId, limit, start, type, status }: any,
  ): Promise<IArticle[]> => {
    const conditions = {
      ...(categoryId && { categoryId }),
      ...(status && { status }),
      ...(type && { type }),
    };

    return getArticles({ conditions, limit, start });
  },
};
