import { GraphQLInt } from 'graphql';
import {
  ArticleStatuses,
  ArticleTypes,
} from '../../../../shared/types/article';
import countArticles from '../../../articles/countArticles';

export default {
  type: GraphQLInt,
  resolve: async (): Promise<number> => {
    const zakulisi = await countArticles({
      type: ArticleTypes.zakulisi,
      status: ArticleStatuses.published,
    });
    const recenze = await countArticles({
      type: ArticleTypes.recenze,
      status: ArticleStatuses.published,
    });
    const prehledy = await countArticles({
      type: ArticleTypes.prehledy,
      status: ArticleStatuses.published,
    });
    return Math.max(zakulisi, recenze, prehledy);
  },
};
