import { GraphQLInt, GraphQLNonNull, GraphQLString } from 'graphql';
import { ArticleStatuses } from '../../../../shared/types/article';
import countSearchedArticles from '../../../articles/countSearchedArticles';

export default {
  type: GraphQLInt,
  args: {
    searchText: {
      type: new GraphQLNonNull(GraphQLString),
    },
  },
  resolve: async (parent: any, { searchText }: any): Promise<number> =>
    countSearchedArticles({
      conditions: { status: ArticleStatuses.published },
      searchText,
    }),
};
