import {
  GraphQLInt,
  GraphQLList,
  GraphQLNonNull,
  GraphQLString,
} from 'graphql';
import { ArticleStatuses, IArticle } from '../../../../shared/types/article';
import searchArticles from '../../../articles/searchArticles';
import GraphQLArticle from '../outputs/Article';

export default {
  type: new GraphQLList(GraphQLArticle),
  args: {
    searchText: {
      type: new GraphQLNonNull(GraphQLString),
    },
    limit: {
      type: GraphQLInt,
    },
    start: {
      type: GraphQLInt,
    },
  },
  resolve: async (
    parent: any,
    { searchText, limit, start }: any,
  ): Promise<IArticle[]> =>
    searchArticles({
      conditions: { status: ArticleStatuses.published },
      searchText,
      limit,
      start,
    }),
};
