import { GraphQLInt, GraphQLList } from 'graphql';
import { IArticle } from '../../../../shared/types/article';
import getArticles from '../../../articles/getArticles';
import getCurrentUserId from '../../users/lib/getCurrentUserId';
import GraphQLArticle from '../outputs/Article';

export default {
  type: new GraphQLList(GraphQLArticle),
  args: {
    limit: {
      type: GraphQLInt,
    },
    start: {
      type: GraphQLInt,
    },
  },
  resolve: async (
    parent: any,
    { limit, start }: any,
    request: Request,
  ): Promise<IArticle[]> => {
    const userId = await getCurrentUserId(request);
    return getArticles({ conditions: { userId }, limit, start });
  },
};
