import { GraphQLNonNull, GraphQLString } from 'graphql';
import { deleteCategoryPermissions } from '../../../../shared/types/permissions';
import { isAuthorized } from '../../../api/cognito';
import { deleteCategory, getCategory } from '../../../model/category';
import GraphQLCategory from '../outputs/Category';

interface IArgs {
  _id: string;
}

export default {
  type: GraphQLCategory,
  args: {
    _id: {
      type: new GraphQLNonNull(GraphQLString),
    },
  },
  resolve: async (
    parent: any,
    { _id }: IArgs,
    request: Request,
  ): Promise<any> => {
    isAuthorized(request, deleteCategoryPermissions);
    const category = await getCategory(_id);
    await deleteCategory(_id);
    return category;
  },
};
