import {
  GraphQLID,
  GraphQLInt,
  GraphQLObjectType,
  GraphQLString,
} from 'graphql';
import { ArticleStatuses } from '../../../../shared/types/article';
import { ICategoryDb } from '../../../../shared/types/category';
import countArticles from '../../../articles/countArticles';

export default new GraphQLObjectType({
  name: 'Category',
  fields: {
    _id: {
      type: GraphQLID,
    },
    title: {
      type: GraphQLString,
    },
    slug: {
      type: GraphQLString,
    },
    index: {
      type: GraphQLInt,
    },
    articleCount: {
      type: GraphQLInt,
      resolve: async ({ _id }: ICategoryDb) =>
        countArticles({
          categoryId: _id,
          status: ArticleStatuses.published,
        }),
    },
  },
});
