import { GraphQLNonNull, GraphQLString } from 'graphql';
import { ICategory } from '../../../../shared/types/category';
import { getCategoryBySlug } from '../../../model/category';
import GraphQLCategory from '../outputs/Category';

export default {
  type: GraphQLCategory,
  args: {
    slug: {
      type: new GraphQLNonNull(GraphQLString),
    },
  },
  resolve: async (parent: any, { slug }: any): Promise<ICategory> =>
    getCategoryBySlug(slug),
};
