import { IComment } from '../../../../shared/types/comment';
import { createCommentPermissions } from '../../../../shared/types/permissions';
import { isAuthorized } from '../../../api/cognito';
import { createComment } from '../../../model/comment';
import getCurrentUserId from '../../users/lib/getCurrentUserId';
import { GraphQLComment, GraphQLCreateComment } from '../index';

interface IArgs {
  data: {
    articleId: string;
    text: string;
  };
}

export default {
  type: GraphQLComment,
  args: {
    data: {
      type: GraphQLCreateComment,
    },
  },
  resolve: async (
    _: any,
    { data }: IArgs,
    request: Request,
  ): Promise<IComment> => {
    isAuthorized(request, createCommentPermissions);
    const userId = await getCurrentUserId(request);
    return createComment({ ...data, userId });
  },
};
