import {
  GraphQLFloat,
  GraphQLID,
  GraphQLObjectType,
  GraphQLString,
} from 'graphql';
import { GraphQLDateTime } from 'graphql-iso-date';
import { ICommentDb } from '../../../../shared/types/comment';
import getAverageScore from '../../../scores/getAverageScore';
import { GraphQLUser } from '../../users';
import getUser from '../../users/lib/getUser';

export default new GraphQLObjectType({
  name: 'Comment',
  fields: {
    _id: {
      type: GraphQLID,
    },
    text: {
      type: GraphQLString,
    },
    user: {
      type: GraphQLUser,
      resolve: async (comment: ICommentDb) => getUser(comment.userId),
    },
    createdDateTime: {
      type: GraphQLDateTime,
    },
    averageScore: {
      description: 'Average of user score',
      type: GraphQLFloat,
      resolve: async ({ _id }: ICommentDb) => getAverageScore(_id),
    },
  },
});
