import { GraphQLList, GraphQLNonNull, GraphQLString } from 'graphql';
import { IComment } from '../../../../shared/types/comment';
import { getComments } from '../../../model/comment';
import { GraphQLComment } from '../index';

export default {
  type: new GraphQLList(GraphQLComment),
  args: {
    articleId: {
      type: new GraphQLNonNull(GraphQLString),
    },
  },
  resolve: async (parent: any, { articleId }: any): Promise<IComment> =>
    getComments(articleId),
};
