import {
  GraphQLFloat,
  GraphQLID,
  GraphQLObjectType,
  GraphQLString,
} from 'graphql';
import { GraphQLDateTime } from 'graphql-iso-date';
import { IScoreDb } from '../../../../shared/types/score';
import { GraphQLUser } from '../../users';
import getUser from '../../users/lib/getUser';

export default new GraphQLObjectType({
  name: 'Score',
  fields: {
    _id: {
      type: GraphQLID,
    },
    itemId: {
      type: GraphQLString,
    },
    value: {
      type: GraphQLFloat,
    },
    user: {
      type: GraphQLUser,
      resolve: (score: IScoreDb) => getUser(score.userId),
    },
    createdDateTime: {
      type: GraphQLDateTime,
    },
  },
});
