import { GraphQLNonNull, GraphQLString } from 'graphql';
import { IScoreDb } from '../../../../shared/types/score';
import getScore from '../../../scores/getScore';
import getCurrentUserId from '../../users/lib/getCurrentUserId';
import { GraphQLScore } from '../index';

export default {
  type: GraphQLScore,
  args: {
    itemId: {
      type: new GraphQLNonNull(GraphQLString),
    },
  },
  resolve: async (
    parent: any,
    { itemId }: any,
    request: any,
  ): Promise<IScoreDb> => {
    const userId = await getCurrentUserId(request);
    return getScore({ itemId, userId });
  },
};
