import { AttributeListType } from 'aws-sdk/clients/cognitoidentityserviceprovider';

const findEmailInAttributes = (
  attributes: AttributeListType,
): string | null => {
  const foundEmail = attributes.find(item => item.Name === 'email');

  if (foundEmail && foundEmail.Value) {
    return foundEmail.Value;
  }

  return null;
};

export default findEmailInAttributes;
