import { AttributeListType } from 'aws-sdk/clients/cognitoidentityserviceprovider';

const findExpirationDateInAttributes = (
  attributes: AttributeListType,
): string | null => {
  const found = attributes.find(item => item.Name === 'custom:expirationDate');

  if (found && found.Value) {
    return found.Value;
  }

  return null;
};

export default findExpirationDateInAttributes;
