export const generateCreateUserParams = (
  username: string,
  email: string,
  userPoolId: string,
  expirationDateTime?: string,
) => {
  const UserAttributes = [
    {
      Name: 'email',
      Value: email,
    },
    {
      Name: 'email_verified',
      Value: 'True',
    },
  ];

  if (expirationDateTime) {
    UserAttributes.push({
      Name: 'custom:expirationDate',
      Value: expirationDateTime,
    });
  }

  return {
    UserPoolId: userPoolId,
    Username: username,
    DesiredDeliveryMediums: ['EMAIL'],
    UserAttributes,
    ValidationData: [
      {
        Name: 'email',
        Value: '',
      },
    ],
  };
};

export const generateEditUserParams = (
  username: string,
  expirationDateTime: string,
  userPoolId: string,
) => ({
  UserPoolId: userPoolId,
  Username: username,
  UserAttributes: [
    {
      Name: 'custom:expirationDate',
      Value: expirationDateTime,
    },
  ],
});

export const generateDeleteUserAttributeParams = (
  username: string,
  userPoolId: string,
  attributes: string[],
) => ({
  UserPoolId: userPoolId,
  Username: username,
  UserAttributeNames: attributes,
});
