import * as AWS from 'aws-sdk';
import { UserType } from 'aws-sdk/clients/cognitoidentityserviceprovider';
import { GraphQLList } from 'graphql';
import { UserPoolId } from '../../../index';
import GraphQLUser from '../outputs/User';

export default {
  type: new GraphQLList(GraphQLUser),
  resolve: async (): Promise<UserType[] | undefined> => {
    const params = {
      UserPoolId,
    };

    try {
      const Pool = new AWS.CognitoIdentityServiceProvider();
      const { Users } = await Pool.listUsers(params).promise();
      return Users;
    } catch (error) {
      throw new Error(error);
    }
  },
};
