import * as moment from 'moment';
import { Types } from 'mongoose';

const mongoose = require('mongoose');

interface ICreateComment {
  text: string;
  userId: string;
  articleId: string;
}

const commentSchema = new mongoose.Schema({
  text: String,
  createdDateTime: Date,
  userId: String,
  articleId: Types.ObjectId,
});

mongoose.model('Comment', commentSchema);
export const commentModel = mongoose.model('Comment');

export const getComments = async (articleId: string) =>
  commentModel.find({ articleId });

export const createComment = async ({
  text,
  userId,
  articleId,
}: ICreateComment) =>
  commentModel.create({
    text,
    userId,
    articleId,
    createdDateTime: moment(),
  });
