import { IScore } from '../../shared/types/score';
import { scoreModel } from '../model/score';

const getAverage = (scores: IScore[]) => {
  if (scores.length) {
    const score =
      scores.reduce((a, b) => a + (b.value || 0), 0) / scores.length;
    return Math.round(score * 100) / 100;
  }
  return undefined;
};

export default async (itemId: string): Promise<number | undefined> => {
  const scores = await scoreModel.find({ itemId });
  return getAverage(scores);
};
