import { Moment } from 'moment';
import { ICategory } from './category';
import { IUser } from './user';

export interface IArticleEdit {
  _id: string;
  image?: Promise<any>;
  title: string;
  categoryId?: string;
  text: string;
  type: number;
}

export interface IArticleCreate {
  image?: Promise<any>;
  video?: string;
  title: string;
  categoryId?: string;
  text?: string;
  type: number;
  userId: string;
}

export interface IArticleDb {
  _id: string;
  title: string;
  slug: string;
  image: string;
  video?: string;
  categoryId: string;
  userId: string;
  text?: string;
  createdDateTime: Moment;
  type: ArticleTypes;
  status: ArticleStatuses;
  averageScore?: number;
}

export interface IArticle {
  _id: string;
  title: string;
  slug: string;
  image: string;
  video?: string;
  category: ICategory;
  text?: string;
  createdDateTime: Moment;
  type: ArticleTypes;
  status: ArticleStatuses;
  user?: IUser;
  averageScore?: number;
}

export enum ArticleStatuses {
  new = 1,
  rejected = 2,
  published = 3,
  updated = 4,
}

export enum ArticleTypes {
  zakulisi = 1,
  recenze = 2,
  prehledy = 3,
  aktualne = 4,
}
