import * as React from 'react';
import { Query } from 'react-apollo';
import ErrorMessage from '../../../components/ErrorMessage';
import Loader from '../../../components/Loader';
import { SETTINGS_CATEGORIES } from '../../queries';
import CreateCategory from '../create/CreateCategory';
import List from './List';

const CategoryList = () => (
  <Query query={SETTINGS_CATEGORIES}>
    {({ loading, error, data }) => {
      if (loading) {
        return <Loader />;
      }

      if (error) {
        return <ErrorMessage message={error.message} />;
      }

      return (
        <React.Fragment>
          <CreateCategory />
          <List categories={data.categories} />
        </React.Fragment>
      );
    }}
  </Query>
);

export default CategoryList;
