import * as React from 'react';
import { Mutation } from 'react-apollo';
import { IArticle } from '../../../../shared/types/article';
import EditArticleForm from '../article/edit/EditArticleForm';
import { EDIT_ARTICLE } from '../article/mutations';

interface IProps {
  article: IArticle;
}

const EditArticleButton = ({ article }: IProps) => (
  <Mutation mutation={EDIT_ARTICLE}>
    {(editArticle, { loading }) => (
      <EditArticleForm
        article={article}
        editArticle={editArticle}
        loading={loading}
      />
    )}
  </Mutation>
);

export default EditArticleButton;
