import gql from 'graphql-tag';
import { ARTICLE_FRAGMENT } from '../article/fragments';

export const SETTINGS_CATEGORIES = gql`
  query {
    categories {
      _id
      title
      index
    }
  }
`;

export const SETTINGS_USER_ARTICLES = gql`
  query userArticles($limit: Int, $start: Int) {
    userArticles(limit: $limit, start: $start) {
      ...ArticleFragment
    }
  }
  ${ARTICLE_FRAGMENT}
`;

export const SETTINGS_ARTICLES = gql`
  query articles($limit: Int, $start: Int) {
    articles(limit: $limit, start: $start) {
      ...ArticleFragment
    }
  }
  ${ARTICLE_FRAGMENT}
`;

export const ARTICLE_COUNT = gql`
  query articleCount {
    articleCount
  }
`;

export const USER_ARTICLE_COUNT = gql`
  query userArticleCount {
    userArticleCount
  }
`;

export const SETTINGS_MOST_VISITED = gql`
  query {
    mostVisited {
      article {
        ...ArticleFragment
      }
      value
    }
  }
  ${ARTICLE_FRAGMENT}
`;
