import * as React from 'react';
import { Query } from 'react-apollo';
import { getArticlePath } from '../../article/utils';
import Link from '../../components/Link';
import Table from '../../components/Table';
import { SETTINGS_MOST_VISITED } from '../queries';

const columns = [
  {
    title: 'Název Článku',
    dataIndex: 'article.title',
  },
  {
    title: 'Počet návštěv',
    dataIndex: 'value',
  },
  {
    title: 'Akce',
    dataIndex: 'article.slug',
    render: (text: string, mostVisited: any) => (
      <Link to={getArticlePath(mostVisited.article)}>zobrazit</Link>
    ),
  },
];

const getRowKey = (mostVisited: any) => mostVisited.article._id;

const Reports = () => (
  <Query query={SETTINGS_MOST_VISITED}>
    {({ loading, error, data }) => {
      if (error) {
        console.log(error);
        return null; // TODO: show error
      }
      return (
        <React.Fragment>
          <Table
            rowKey={getRowKey}
            loading={loading}
            dataSource={data.mostVisited}
            columns={columns}
          />
        </React.Fragment>
      );
    }}
  </Query>
);

export default Reports;
