import { Button } from 'antd';
import * as React from 'react';
import { Mutation } from 'react-apollo';
import { confirmModal } from '../helpers';
import { REMOVE_USER } from '../mutations';
import { USERS } from '../queries';

interface IProps {
  user: any;
}

const DeleteUser = ({ user }: IProps) => (
  <Mutation mutation={REMOVE_USER} refetchQueries={[{ query: USERS }]}>
    {(removeUser, { error }) => {
      const handleOnRemoveButtonClick = () => {
        confirmModal(
          'Odstranění uživatele',
          `Opravdu chcete odstranit uživatele "${user.username}"?`,
          'Ok',
          () => removeUser({ variables: { username: user.username } }),
          'Uživatel byl odstraněn.',
        );
      };

      return (
        <Button
          type="danger"
          shape="circle"
          icon="delete"
          onClick={handleOnRemoveButtonClick}
        />
      );
    }}
  </Mutation>
);

export default DeleteUser;
