import { message, Modal } from 'antd';

export const confirmModal = (
  title: string,
  content: string,
  okText: string,
  action: () => void,
  successMessage: string,
) => {
  Modal.confirm({
    cancelText: 'Zrušit',
    content,
    okText,
    onOk: async () => {
      try {
        await action();
        message.success(successMessage);
      } catch (e) {
        message.error(e.message);
      }
    },
    title,
  });
};
