import gql from 'graphql-tag';
import { USER_FRAGMENT } from './fragments';

export const CREATE_USER = gql`
  mutation createUser(
    $username: String!
    $email: String!
    $role: UserGroup!
    $expirationDateTime: String
  ) {
    createUser(
      username: $username
      email: $email
      role: $role
      expirationDateTime: $expirationDateTime
    ) {
      ...UserData
    }
  }
  ${USER_FRAGMENT}
`;

export const EDIT_USER = gql`
  mutation editUser(
    $username: String!
    $role: UserGroup!
    $expirationDateTime: String
  ) {
    editUser(
      username: $username
      role: $role
      expirationDateTime: $expirationDateTime
    ) {
      ...UserData
    }
  }
  ${USER_FRAGMENT}
`;

export const RESEND_CONFIRMATION_EMAIL = gql`
  mutation resendConfirmationEmail($username: String!) {
    resendConfirmationEmail(username: $username) {
      username
    }
  }
`;

export const REMOVE_USER = gql`
  mutation removeUser($username: String!) {
    removeUser(username: $username) {
      ...UserData
    }
  }
  ${USER_FRAGMENT}
`;
