import { Button, Tooltip } from 'antd';
import * as React from 'react';
import { Mutation } from 'react-apollo';
import { confirmModal } from '../helpers';
import { RESEND_CONFIRMATION_EMAIL } from '../mutations';

interface IProps {
  username: string;
}

const ResendConfirmationEmail = ({ username }: IProps) => (
  <Mutation mutation={RESEND_CONFIRMATION_EMAIL}>
    {(resendConfirmationEmail, { error }) => {
      // TODO: error
      const handleOnClick = () => {
        confirmModal(
          'Resend confirmation email',
          `You are about to reset all settings for "${username}" and resend confirmation email. Are you sure?`,
          'Resend',
          () => resendConfirmationEmail({ variables: { username } }),
          'Confirmation email sent',
        );
      };

      return (
        <Tooltip title="Resend confirmation email">
          <Button
            type="dashed"
            shape="circle"
            icon="mail"
            onClick={handleOnClick}
          />
        </Tooltip>
      );
    }}
  </Mutation>
);

export default ResendConfirmationEmail;
