import * as moment from 'moment';
import {
  ArticleStatuses,
  ArticleTypes,
} from '../../../../shared/types/article';
import { getArticlePath } from '../utils';

const article = {
  _id: '1234',
  title: 'Test title',
  slug: 'test-title',
  image: '',
  category: {
    _id: '1',
    index: 1,
    title: 'Some Category',
    slug: 'some-category',
    articleCount: 1,
  },
  createdDateTime: moment('2014-02-27T10:00:00'),
  type: ArticleTypes.recenze,
  status: ArticleStatuses.new,
  user: {
    sub: '1',
    username: 'test',
  },
  reactions: [],
};

describe('getArticlePath()', () => {
  it('should generate path for ArticleType.recenze', () => {
    expect(getArticlePath(article)).toBe('/some-category/test-title');
  });
  it('should generate path for ArticleType.zakulisi', () => {
    expect(getArticlePath({ ...article, type: ArticleTypes.zakulisi })).toBe(
      '/zakulisi/test-title',
    );
  });
  it('should generate path for ArticleType.prehledy', () => {
    expect(getArticlePath({ ...article, type: ArticleTypes.prehledy })).toBe(
      '/prehledy/test-title',
    );
  });
});
