import * as moment from 'moment';
import * as React from 'react';
import { create } from 'react-test-renderer';
import {
  ArticleStatuses,
  ArticleTypes,
} from '../../../../../shared/types/article';
import { ListItem } from '../ListItem';

const article = {
  _id: '1234',
  title: 'Test title',
  slug: 'test-title',
  image: '',
  category: {
    _id: '1',
    index: 1,
    title: 'Some Category',
    slug: 'some-category',
    articleCount: 2,
  },
  createdDateTime: moment.utc('2014-02-27T10:00:00'),
  type: ArticleTypes.recenze,
  status: ArticleStatuses.new,
  user: {
    sub: '1',
    username: 'test',
  },
  reactions: [],
};

describe('<ListItem />', () => {
  it('should render', () => {
    const tree = create(<ListItem push={jest.fn()} {...article} />).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
