import gql from 'graphql-tag';
import { ArticleStatuses } from '../../../shared/types/article';

export const ARTICLES = gql`
  query articles($categoryId: String, $limit: Int, $start: Int) {
    articles(categoryId: $categoryId, limit: $limit, start: $start, status: ${
      ArticleStatuses.published
    }) {
      _id
      image
      title
      slug
      text
      type
      user {
        username
      }
      createdDateTime
      category {
        _id
        slug
      }
    }
  }
`;

export const ARTICLE = gql`
  query article($slug: String!) {
    article(slug: $slug) {
      _id
      image
      title
      slug
      text
      type
      video
      user {
        username
      }
      category {
        _id
        title
        slug
      }
      averageScore
    }
  }
`;

export const CATEGORY = gql`
  query category($slug: String!) {
    category(slug: $slug) {
      _id
      title
      slug
      articleCount
    }
  }
`;
