import Auth from '@aws-amplify/auth';

export const signIn = (username: string, password: string) =>
  new Promise((resolve, reject) => {
    Auth.signIn(username, password)
      .then(resolve)
      .catch(reject);
  });

export const setNewPassword = (authData: any, password: string) =>
  new Promise((resolve, reject) => {
    Auth.completeNewPassword(authData, password, [])
      .then(resolve)
      .catch(reject);
  });

export const forgotPassword = (username: string) =>
  new Promise((resolve, reject) => {
    Auth.forgotPassword(username)
      .then(resolve)
      .catch(reject);
  });

export const forgotPasswordSubmit = async (
  username: string,
  code: string,
  password: string,
) => Auth.forgotPasswordSubmit(username, code, password);

export const currentAuthenticatedUser = () =>
  new Promise((resolve, reject) => {
    Auth.currentAuthenticatedUser()
      .then(resolve)
      .catch(reject);
  });

export const signOut = () =>
  new Promise((resolve, reject) => {
    Auth.signOut()
      .then(resolve)
      .catch(reject);
  });

export const signUp = async (
  username: string,
  password: string,
  email: string,
) => Auth.signUp({ username, password, attributes: { email } });
