import * as React from 'react';
import { ArticleTypes } from '../../../shared/types/article';
import { ICategory } from '../../../shared/types/category';

const types = {
  [ArticleTypes.recenze]: 'recenze',
  [ArticleTypes.prehledy]: 'přehledy',
  [ArticleTypes.zakulisi]: 'zákulisí',
  [ArticleTypes.aktualne]: 'aktuálně',
};

const ArticleCategory = ({
  type,
  category,
}: {
  type: ArticleTypes;
  category?: ICategory;
}) => (
  <span>
    {types[type]}
    {type === ArticleTypes.recenze && category ? ` - ${category.title}` : ''}
  </span>
);

export default ArticleCategory;
