import * as React from 'react';
import styled from 'styled-components';

interface IProps {
  children: any;
  onClick: () => void;
}

const Link = styled.span`
  color: rgba(0, 0, 0, 0.65);
  padding: 5px 0;
  cursor: pointer;

  &:hover {
    color: #1890ff;
  }
`;

const Button = ({ children, onClick }: IProps) => (
  <Link onClick={onClick}>{children}</Link>
);

export default Button;
