import * as React from 'react';
import { Link as RRDLink } from 'react-router-dom';
import styled from 'styled-components';

interface IProps {
  children: any;
  to?: string;
  onClick?: () => void;
}

const Wrapper = styled.span`
  & > a,
  & > span {
    cursor: pointer;
    color: rgba(0, 0, 0, 0.65);
    padding: 5px 0;
    &:hover {
      color: #1890ff;
    }
  }
`;

const Link = ({ children, to, onClick }: IProps) => (
  <Wrapper>
    {to && <RRDLink to={to}>{children}</RRDLink>}
    {onClick && <span onClick={onClick}>{children}</span>}
  </Wrapper>
);

export default Link;
