import * as React from 'react';
import styled from 'styled-components';
import { Navbar } from '../navbar';
import Header from './Header';
import TopArticle from './topArticle/TopArticle';

const Content = styled.div`
  width: 80%;
  margin: auto;
  padding: 10px 15px;

  @media only screen and (max-width: 1000px) {
    & {
      width: 100%;
      padding: 0 5px;
    }
  }
`;

const Page = ({ children }: any) => (
  <React.Fragment>
    <Header />
    <Navbar />
    <TopArticle />
    <Content>{children}</Content>
  </React.Fragment>
);

export default Page;
