import * as React from 'react';
import { create } from 'react-test-renderer';
import { ArticleTypes } from '../../../../shared/types/article';
import { ICategory } from '../../../../shared/types/category';
import ArticleCategory from '../ArticleCategory';

const category: ICategory = {
  title: 'Test',
  slug: 'test',
  _id: '1',
  index: 1,
  articleCount: 1,
};

describe('<ArticleCategory />', () => {
  it('should render type ArticleTypes.recenze', () => {
    const tree = create(
      <ArticleCategory type={ArticleTypes.recenze} category={category} />,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render type ArticleTypes.prehledy', () => {
    const tree = create(
      <ArticleCategory type={ArticleTypes.prehledy} />,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should render type ArticleTypes.zakulisi', () => {
    const tree = create(
      <ArticleCategory type={ArticleTypes.zakulisi} />,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
