import * as React from 'react';
import { create } from 'react-test-renderer';
import Button from '../Button';

describe('<Button />', () => {
  it('should render without crashing', () => {
    const tree = create(
      <Button onClick={jest.fn()}>Some Button</Button>,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });
  it('should be clickable', () => {
    const onClick = jest.fn();
    const tree = create(<Button onClick={onClick}>Some Button</Button>).root;
    const btn = tree.findByType('span');
    btn.props.onClick();
    expect(onClick).toHaveBeenCalled();
  });
});
