import * as React from 'react';
import { MockedProvider } from 'react-apollo/test-utils';
import { Provider } from 'react-redux';
import { create } from 'react-test-renderer';
import configureStore from 'redux-mock-store';
import Header from '../Header';

const initialState = {
  authReducer: {
    authState: {},
  },
  router: {
    location: '',
  },
};
const mockStore = configureStore();

describe('<Header />', () => {
  it('should render without crashing', () => {
    const store = mockStore(initialState);
    const tree = create(
      <MockedProvider mocks={[]}>
        <Provider store={store}>
          <Header />
        </Provider>
      </MockedProvider>,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });
});
