import Typography from 'antd/lib/typography';
import * as React from 'react';
import styled from 'styled-components';

const { Text } = Typography;

const Content = styled.div`
  width: 100%;
  display: grid;
  grid-template-columns: 70px auto;
  align-items: center;
`;

interface IProps {
  title: string;
  expanded: boolean;
}

const TopArticleContent = ({ title, expanded }: IProps) => (
  <Content>
    <Text strong={true}>Aktuálně:</Text>
    <Text ellipsis={!expanded}>{title}</Text>
  </Content>
);

export default TopArticleContent;
