import { push, Push } from 'connected-react-router';
import * as React from 'react';
import { connect } from 'react-redux';
import { compose } from 'redux';
import { IState } from '../../types';

export interface IWithRouterProps {
  location: Location;
  push: Push;
}

const Wrapper = <P extends object>(
  WrappedComponent: React.ComponentType<P>,
) => (props: P & IWithRouterProps) => <WrappedComponent {...props} />;

const mapStateToProps = (state: IState) => ({
  location: state.router.location,
});

const mapDispatchToProps = {
  push,
};

export default compose(
  connect(
    mapStateToProps,
    mapDispatchToProps,
  ),
  Wrapper,
) as any;
