import gql from 'graphql-tag';
import { ArticleStatuses, ArticleTypes } from '../../../shared/types/article';
import { ARTICLE_FRAGMENT } from '../article/fragments';

export const HOMEPAGE_ARTICLES = gql`
  query homepageArticles($limit: Int, $start: Int) {
    recenze: articles(type: ${
      ArticleTypes.recenze
    }, limit: $limit, start: $start, status: ${ArticleStatuses.published}) {
     ...ArticleFragment
    }
    prehledy: articles(type: ${
      ArticleTypes.prehledy
    }, limit: $limit, start: $start, status: ${ArticleStatuses.published}) {
     ...ArticleFragment
    }
    zakulisi: articles(type: ${
      ArticleTypes.zakulisi
    }, limit: $limit, start: $start, status: ${ArticleStatuses.published}) {
     ...ArticleFragment
    }
  }
  ${ARTICLE_FRAGMENT}
`;

export const HOMEPAGE_ARTICLE_COUNT = gql`
  query homepageArticleCount {
    homepageArticleCount
  }
`;
