import * as React from 'react';
import { Mutation } from 'react-apollo';
import { CREATE_SCORE } from '../mutations';
import { SCORE } from '../queries';
import CreateScoreForm from './CreateScoreForm';

interface IProps {
  itemId: string;
  refetchQueries: any[];
  value?: number;
}

const CreateScore = ({ itemId, refetchQueries, value }: IProps) => (
  <Mutation
    mutation={CREATE_SCORE}
    refetchQueries={[
      ...refetchQueries,
      { query: SCORE, variables: { itemId } },
    ]}
  >
    {(createReaction, { loading }) => (
      <React.Fragment>
        <CreateScoreForm
          itemId={itemId}
          createReaction={createReaction}
          value={value}
        />
      </React.Fragment>
    )}
  </Mutation>
);

export default CreateScore;
