import message from 'antd/lib/message';
import * as React from 'react';
import styled from 'styled-components';

interface IProps {
  createReaction: any;
  itemId: string;
  value?: number;
}
const Item = styled.span`
  ${(props: { selected: boolean }) => `
    cursor: pointer;
    
    &:hover {
      color: #1890ff;
    }
    
    font-weight: ${props.selected ? 700 : 300};  
  `};
`;

const values = [-2, -1, 0, 1, 2];

const CreateScoreForm = ({ createReaction, itemId, value }: IProps) => {
  const handleClick = (v: number) => async () => {
    try {
      const variables = {
        value: v,
        itemId,
      };

      const createdReaction = await createReaction({ variables });
      if (createdReaction) {
        message.success('Hodnocení úspěšně přidáno');
      }
    } catch (e) {
      message.error(e.message);
    }
  };

  return (
    <React.Fragment>
      {values.map((v: number) => (
        <Item selected={value === v} key={v} onClick={handleClick(v)}>
          {v}&nbsp;
        </Item>
      ))}
    </React.Fragment>
  );
};

export default CreateScoreForm;
