import * as React from 'react';
import { MockedProvider } from 'react-apollo/test-utils';
import { create } from 'react-test-renderer';
import { DELETE_SCORE } from '../../mutations';
import DeleteScore from '../DeleteScore';

describe('<DeleteScore />', () => {
  it("should'n render if user doesn't have score initial value", () => {
    const tree = create(
      <MockedProvider mocks={[]}>
        <DeleteScore value={undefined} refetchQueries={[]} itemId="1" />
      </MockedProvider>,
    ).toJSON();
    expect(tree).toMatchSnapshot();
  });

  it('should render loading state initially', () => {
    const mocks = [
      {
        request: {
          query: DELETE_SCORE,
          variables: { userSub: '1', itemId: '2' },
        },
        result: { data: { _id: 5 } },
      },
    ];

    const component = create(
      <MockedProvider mocks={mocks} addTypename={false}>
        <DeleteScore itemId="2" refetchQueries={[]} value={1} />
      </MockedProvider>,
    );

    const button = component.root.findByType('span');
    button.props.onClick();

    const tree = component.toJSON();
    expect(tree).toMatchSnapshot();
  });
});
