import Input from 'antd/lib/input';
import { Push } from 'connected-react-router';
import * as React from 'react';
import styled from 'styled-components';
import withRouter from '../../hoc/withRouter';

const SearchContainer = styled.header`
  margin-left: 5px;
`;

interface IProps {
  push: Push;
}

const Search = ({ push }: IProps) => {
  const handleSearch = (value: string) => {
    if (value) {
      push(`/vyhledat/${value}`);
    }
  };

  return (
    <SearchContainer>
      <Input.Search placeholder="Vyhledat článek" onSearch={handleSearch} />
    </SearchContainer>
  );
};

export default withRouter(Search);
